define([
    "../../widgets/LineWithActionsWidget",
    "../../widgets/ListWidget",
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/dom-construct"
], function(LineWithActionsWidget, ListWidget, declare, lang, domConstruct) {
    return declare([ListWidget],{
        baseClass: 'rftSurveyListView',
        type: 'question',

        createAvatar: function(id, item){
            return domConstruct.create("div",{
                'class': 'dragAvatar',
                innerHTML: item.title
            });
        },
        createListElement: function(id, item) {
            var w = new LineWithActionsWidget({
                id: id,
                title: item.title,
                'class': "inheritBgColor",
                actions: {
                    "Remove" : {
                        callback: lang.hitch(this, '_handleRemove', id),
                        properties: {
                            blockButton: false,
                            icon: "Delete",
                            label: "Remove"
                        }
                    },
                    "Info" : {
                        callback: function(){
                            if ( item.description ) { alert(item.description); }
                        },
                        properties: {
                            blockButton: false,
                            icon: "Inspect",
                            label: "Show info"
                        }
                    }
                }
            });
            w.startup();
            return w;
        },
        _handleRemove: function(id) {
            if ( !( this.readOnly || this.disabled ) ) {
                this.removeItem(id,true);
            }
        }
    });
});
